%global bundle org.osgi.core

Name:    felix-osgi-core
Version: 1.4.0
Release: %mkrel 6
Summary: Felix OSGi R4 Core Bundle

Group:   Development/Java
License: ASL 2.0
URL:     http://felix.apache.org/site/apache-felix-osgi-core.html
Source0: http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz

BuildArch: noarch

BuildRequires: java-devel
BuildRequires: felix-parent
BuildRequires: maven-surefire-provider-junit4
BuildRequires: jpackage-utils

#Needed for javadoc
BuildRequires: locales-en

Requires: java

%description
OSGi Service Platform Release 4 Core Interfaces and Classes.

%files
%doc LICENSE
%{_javadir}/felix
%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%{_mavendepmapfragdir}/%{name}

#--------------------------------------------------------------------

%package javadoc
Group:          Development/Java 
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{bundle}-%{version}

%build
export LC_ALL=en_US.UTF-8
mvn-rpmbuild package javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
        %{buildroot}%{_javadir}/felix/%{bundle}.jar

# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
%__cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%add_maven_depmap -a "org.osgi:%{bundle}" JPP.felix-%{bundle}.pom felix/%{bundle}.jar



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-6.mga3
+ Revision: 350158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 02 2012 dmorgan <dmorgan> 1.4.0-5.mga3
+ Revision: 266742
- Rebuild to generate mvn() provides
- Extra groupId "org.osgi" added
- Minor spec file changes according to the latest guidelines
- fixing "unmappable character for encoding ANSI_X3.4-1968"
- Build with maven 3 and drop ant buil.xml files.

* Wed Apr 27 2011 dmorgan <dmorgan> 1.4.0-2.mga1
+ Revision: 91962
- Remove buildroot

* Thu Jan 20 2011 dmorgan <dmorgan> 1.4.0-1.mga1
+ Revision: 27559
- fix buildrequire
- Adapt to mga
- imported package felix-osgi-core

